Subject: Creation of SCTP associations

From: Sudhansu <[email-masked]>
Date: Mon, 4 Feb 2002 17:36:53 +0530

Hi All,
As per RFC-3057:section 1.3.2 , it says as follows:
" The IUA layer MAY be instructed by local management to establish an SCTP
association to a peer IUA node.  This can be achieved using the M-SCTP
ESTABLISH primitive to request, indicate and confirm the establishment of an
SCTP association with a peer IUA node "  

But I couldn't trace out when does the local management(LM)invoke this
primitive on IUA Layer?
I mean upon receiving which primitive from Q931 Layer ? 
OR it's a part of IUA Layer configuration so that when IUA Layer comes up ,
the LM reads the configuration data and invokes the M-SCTP ESTABLISH
primitive on the IUA Layer and the IUA Layer starts creating SCTP
association.

I would appreciate if anybody can clarify the above point.
 
With Kind Regards
 Sudhansu Sabut 

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]

---

From: Ken Morneault <[email-masked]>
Date: Mon, 04 Feb 2002 09:12:16 -0500

Sudhansu,

You could implement it either way.  

Ken

At 05:36 PM 2/4/2002 +0530, you wrote:
>You are currently subscribed to sigtran as: [email-masked]

---

---

From: Sudhansu <[email-masked]>
Date: Mon, 4 Feb 2002 19:53:10 +0530

Hi Ken,
thanks for the reply.
U have suggested 2 ways for implementing it.
As per configuration is cencerned It's OK with me.

But regarding the @nd way , still I'm not clear what is that Q931(IUA
user)-to-IUA primitive which is a trigger for IUA Layer LM to use the M-SCTP
ESTABLISH primitive to create SCTP association ?  

Could u Please clarify the same.

Regards
Sudhansu

-----Original Message-----
From: Ken Morneault [mailto:[email-masked]]
Sent: Monday, February 04, 2002 7:42 PM
To: sigtran
Subject: Re: Creation of SCTP associations

 Sudhansu,

Ken

At 05:36 PM 2/4/2002 +0530, you wrote:
>To unsubscribe send a blank email to
[email-masked] 

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to
[email-masked]

---

---

From: Ken Morneault <[email-masked]>
Date: Mon, 04 Feb 2002 12:10:42 -0500

Sudhansu,

The second way would be non-standard and I wouldn't
recommend it.  

Ken

---

---

From: Sudhansu <[email-masked]>
Date: Tue, 5 Feb 2002 08:58:48 +0530

Thanks Ken.Ok I will stick to 1st one, I mean config one.Thanks for the
input.

-----Original Message-----
From: Ken Morneault [mailto:[email-masked]]
Sent: Monday, February 04, 2002 10:41 PM
To: sigtran
Subject: RE: Creation of SCTP associations

Sudhansu,

Ken

---

---

---

From: "Liao Ping" <[email-masked]>
Date: Tue, 5 Feb 2002 11:25:12 +0800

Hi Sudhansu & Ken,
  I think that the second way is helpful when a call is
initialized from SG. For example, at the very beginning,
when Q.921, IUA and SCTP on SG are all configurated and
are waiting for SCTP establish messages(or ASPM messages),
a call initialized from Q.921(i.e. from ISDN End Point).
How can IUA handle the call establish request if IUA is
still waiting for SCTP establish messages or ASPM messages?
(I get the idea from RFC 3057 that ONLY ASP can send SCTP
establish request, ASP UP and ASPAC messages. Am I wrong?)
   Also I can not figure out how to get the TEI(DLCI) in
FIRST IUA message sending from ASP to SG. I mean the very
FIRST IUA message (e.g. ASP UP?? or TEI STATUS Request??)
before any other IUA messages sending from SG to ASP.
  Please correct me if I am wrong and I would appreciate
it if someone could clarify the point.

Best Regards,
Liao Ping

Sudhansu,

Ken

>To unsubscribe send a blank email to
[email-masked]
.com

---

---

From: Sudhansu <[email-masked]>
Date: Tue, 5 Feb 2002 09:31:46 +0530

Hi Ping,
I can't tell u about rest of the issues but would like to share my
understanding about the following point:
" I get the idea from RFC 3057 that ONLY ASP can send SCTP establish
request, ASP UP and ASPAC messages. Am I wrong?) "
I would tell no.
Because in RFC3057 - 1.3.5  Client/Server Model : It says that SG and ASP be
able to support both client
and server operation.But default is SG as server.So it depends on ur
configuration whether to use SG as Client or ASP as client.Whoever is client
, that can send SCTP establish request. 

Please tell me if I'm wrong..
Regards
Sudhansu

-----Original Message-----
From: Liao Ping [mailto:[email-masked]]
Sent: Tuesday, February 05, 2002 8:55 AM
To: sigtran
Subject: RE: Creation of SCTP associations

Hi Sudhansu & Ken,

Best Regards,
Liao Ping

Sudhansu,

Ken

---

---